Bug 789113 - Review Request: libg15 - A Library to handle the LCD and extra keys on the Logitech G15
Review Request: libg15 - A Library to handle the LCD and extra keys on the Lo...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2012-02-09 15:38 EST by Thomas Pifer
Modified: 2013-05-01 15:08 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-01 15:08:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Thomas Pifer 2012-02-09 15:38:21 EST
Spec URL: http://zero456.fedorapeople.org/libg15.spec
SRPM URL: http://zero456.fedorapeople.org/libg15-1.2.7-1.fc16.src.rpm
Description: libg15 is a library to handle the LCD and extra keys on the Logitech G15 Gaming Keyboard and similar devices.

LibG15 currently supports LCD & keys on the following devices:
- Original G15 keyboard
- G11 keyboard
- Z10 speakers
- 2nd revision of the G15 (amber backlight, 6 'G' keys, LCD)
- Gamepanel available on some laptops

This is the first package necessary to get G15 keyboard support in Fedora.

I previously submitted bug 788806 for three of the G15tools packages but didn't know it was for only one package per review request.  As such I'm starting fresh.  

This is also my first package and I'm unsure if I still need a sponsor as Jason Tibbitts was kind enough to sponsor me into a group for space on fedorapeople.

Here is the rpmlint logs for libg15:

$ rpmlint SRPMS/libg15-1.2.7-1.fc16.src.rpm 
libg15.src: W: spelling-error %description -l en_US backlight -> back light,
back-light, fightback
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint -i libg15-1.2.7-1.fc16.x86_64.rpm 
libg15.x86_64: W: spelling-error %description -l en_US backlight -> back light,
back-light, fightback
The value of this tag appears to be misspelled. Please double-check.

$ rpmlint -i libg15-devel-1.2.7-1.fc16.x86_64.rpm 
libg15-devel.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint -i libg15-debuginfo-1.2.7-1.fc16.x86_64.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Alec Leamas 2012-02-16 11:46:40 EST
I'm no reviewer, just a quick remark: You cannot patch the COPYING file for legal reasons. I don't find the reference right know, it's out there though. What you should do is to post the patch upstream and bring the link from that request in here. This is all Fedora requires from you, the rest is up to upstream.
Comment 2 Michael Schwendt 2012-05-11 16:13:55 EDT
https://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address


> %package devel
> Requires:		%{name} = %{version}

https://fedoraproject.org/wiki/Packaging:Guidelines#Requiring_Base_Package


> License:		GPLv2

License: GPLv2+

The two source files contain the "or (at your option) any later version" GPLv2+ header.  http://fedoraproject.org/wiki/Licensing#Good_Licenses
Comment 3 Michael Schwendt 2012-12-05 17:55:46 EST
A brief comment would have been nice. Months have passed.
Comment 4 Mike Lilley 2013-01-02 18:31:37 EST
It appears that Thomas has lost interest in pursuing this.  I'm willing to take it up, but am not a maintainer yet.

It also appears that Thomas' work has disappeared (probably due to inactivity).

I've already reported the incorrect-fsf-address upstream at https://sourceforge.net/tracker/?func=detail&aid=3599263&group_id=167869&atid=844656
Comment 5 Mike Lilley 2013-01-04 16:50:19 EST
After investigating a bit further, I begin to see why Thomas may have lost interest in this.  The upstream provider (www.g15tools.com) appears to be dead (no updates since 2008), and the tarballs posted do not appear to match the state of their SCM repositories.

There are a number of Github forks, and it's not clear which of them (if any) would be appropriate to use as a source.

And finally, to use this package also appears to require the g15daemon package, which distributes a tarball whose code does not match the SCM repositories, as well as failing to compile.

Note You need to log in before you can comment on or make changes to this bug.